#include <bits/stdc++.h>
#define ll long long
using namespace std;

const int MAXN = 2e5 + 5;

int N, K, X;
ll A[MAXN], DP[3005][3005];

int main()
{
    cin >> N >> K >> X;
    for(int i = 1; i <= N; i++) cin >> A[i];


    for(int k = 1; k <= N - K + 1; k++)
    {
        for(int i = 0; i <= N; i++)
            for(int j = 0; j <= X; j++)
                DP[i][j] = -1e9;
        DP[k][1] = A[k];
        for(int i = k + 1; i <= N; i++)
            for(int j = 1; j <= X; j++) DP[i][j] = max(DP[i - 1][j], DP[i - 1][j - 1]) + A[i] * j * 1LL;
        cout << max(DP[k + K - 1][X], DP[k + K - 1][X - 1]) << "\n";
//        for(int i = 1; i <= N; i++)
//        {
//            for(int j = 1; j <= X; j++)
//                cout << DP[i][j] << " ";
//            cout << "\n";
//        }
    }
    return 0;
}